Page MenuHomePhabricator

Define the format and contents Release Notes for WMDE-maintained software [8hrs]
Closed, ResolvedPublic

Description

The decision on what to include in Release Notes is going to influence how to create/generate them (not in scope of this)

Release Strategy team will investigation options and make a suggestion to be discussed in the WMDE development team. This groundwork will be timeboxed for 8 personhours.

Acceptance criteria:

  • Decision on where to publish the Release Notes has been documented
  • Decision has been made by WMDE development team and recorded on what is the intended level of detail to cover in Release Notes

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 5 2021, 10:20 AM
Samantha_Alipio_WMDE triaged this task as Medium priority.Jan 5 2021, 10:21 AM
WMDE-leszek renamed this task from Define the format and contents Release Notes for WMDE-maintained software to Define the format and contents Release Notes for WMDE-maintained software [8hrs].Jan 5 2021, 10:29 AM
WMDE-leszek updated the task description. (Show Details)
toan added a comment.Jan 6 2021, 8:51 AM

There is a draft ADR that talks a bit about the contents already, basically copy paste of how mediawiki does it https://github.com/wmde/wikibase-release-prototype/pull/14, this could be used as some kind of inspiration.

We could maybe squeeze the result of this investigation in there or strip the part that talks about the content out into a separate ADR.

toan claimed this task.Jan 13 2021, 3:38 PM
toan moved this task from To do to Doing on the Wikibase Release Strategy (Sprint 4) board.

Change 656150 had a related patch set uploaded (by Tobias Andersson; owner: Tobias Andersson):
[mediawiki/extensions/Wikibase@master] wip: ADR: release notes topics

https://gerrit.wikimedia.org/r/656150

toan added a comment.EditedJan 15 2021, 1:36 PM

ADR0008 going out on a limb regarding the other repositories -> https://github.com/wmde/wikibase-release-prototype/pull/32

Change 658069 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[mediawiki/extensions/Wikibase@master] Accept ADR0017: Wikibase release notes topics

https://gerrit.wikimedia.org/r/658069

Change 656150 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] ADR0017: Wikibase release notes topics

https://gerrit.wikimedia.org/r/656150

Change 658069 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Accept ADR0017: Wikibase release notes topics

https://gerrit.wikimedia.org/r/658069

WMDE-leszek closed this task as Resolved.Wed, Feb 17, 9:49 PM